package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训成绩对象 t_trainingrecords
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public class TTrainingrecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 年份 */
    private Long year;

    /** 唯一标识ID */
    private Long staffId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    @Excel(name = "员工号")
    private String employeeid;

    /** 班组 */
    @Excel(name = "班组", dictType = "TEAM_DIVIDE")
    private String classes;

    /** 公司入厂培训 */
    private Double companysafe;

    /** 装置安全 */
    private Double plantsafe;

    /** 班组安全 */
    private Double teamsafe;

    /** SUB */
    private String sub;

    /** 裂解 */
    private String cracking;

    /** 热区 */
    private String hotarea;

    /** 冷区 */
    private String coldarea;

    /** AEU/PGU */
    private String aeupgu;

    /** 上半年培训成绩 */
    private String upscore;

    /** 下半年培训成绩 */
    private String downscore;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 入职 */
    @Excel(name = "入职", dictType = "TRAINING_QUALIFY")
    private String onboard;

    /** TDS */
    @Excel(name = "TDS", dictType = "TRAINING_QUALIFY")
    private String tds;

    /** 上岗证复证 */
    @Excel(name = "上岗证复证", dictType = "TRAINING_QUALIFY")
    private String postCard ;

    /** 工艺培训 */
    @Excel(name = "工艺培训", dictType = "TRAINING_QUALIFY")
    private String craft;

    /** 公司级培训 */
    @Excel(name = "公司级培训", dictType = "TRAINING_QUALIFY")
    private String company;

    /** 装置级培训 */
    @Excel(name = "装置级培训", dictType = "TRAINING_QUALIFY")
    private String device;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 排序字段 */
    private String sortDate;

    /** 排序顺序 */
    private String sortOrder;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public Long getStaffId() { return staffId; }

    public void setStaffId(Long staffId) { this.staffId = staffId; }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setCompanysafe(Double companysafe)
    {
        this.companysafe = companysafe;
    }

    public Double getCompanysafe()
    {
        return companysafe;
    }
    public void setPlantsafe(Double plantsafe)
    {
        this.plantsafe = plantsafe;
    }

    public Double getPlantsafe()
    {
        return plantsafe;
    }
    public void setTeamsafe(Double teamsafe)
    {
        this.teamsafe = teamsafe;
    }

    public Double getTeamsafe()
    {
        return teamsafe;
    }
    public void setSub(String sub)
    {
        this.sub = sub;
    }

    public String getSub()
    {
        return sub;
    }
    public void setCracking(String cracking)
    {
        this.cracking = cracking;
    }

    public String getCracking()
    {
        return cracking;
    }
    public void setHotarea(String hotarea)
    {
        this.hotarea = hotarea;
    }

    public String getHotarea()
    {
        return hotarea;
    }
    public void setColdarea(String coldarea)
    {
        this.coldarea = coldarea;
    }

    public String getColdarea()
    {
        return coldarea;
    }
    public void setAeupgu(String aeupgu)
    {
        this.aeupgu = aeupgu;
    }

    public String getAeupgu()
    {
        return aeupgu;
    }
    public void setUpscore(String upscore)
    {
        this.upscore = upscore;
    }

    public String getUpscore()
    {
        return upscore;
    }
    public void setDownscore(String downscore)
    {
        this.downscore = downscore;
    }

    public String getDownscore()
    {
        return downscore;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setSortOrder(String sortOrder)
    {
        this.sortOrder = sortOrder;
    }

    public String getSortOrder()
    {
        return sortOrder;
    }
    public void setSortDate(String sortDate)
    {
        this.sortDate = sortDate;
    }

    public String getSortDate()
    {
        return sortDate;
    }

    public String getOnboard() {
        return onboard;
    }

    public void setOnboard(String onboard) {
        this.onboard = onboard;
    }

    public String getTds() {
        return tds;
    }

    public void setTds(String tds) {
        this.tds = tds;
    }

    public String getPostCard() {
        return postCard;
    }

    public void setPostCard(String postCard) {
        this.postCard = postCard;
    }

    public String getCraft() {
        return craft;
    }

    public void setCraft(String craft) {
        this.craft = craft;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }
    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    @Override
    public String toString() {
        return "TTrainingrecords{" +
                "id=" + id +
                ", plantCode='" + plantCode + '\'' +
                ", year=" + year +
                ", staffId=" + staffId +
                ", name='" + name + '\'' +
                ", employeeid='" + employeeid + '\'' +
                ", classes='" + classes + '\'' +
                ", companysafe=" + companysafe +
                ", plantsafe=" + plantsafe +
                ", teamsafe=" + teamsafe +
                ", sub='" + sub + '\'' +
                ", cracking='" + cracking + '\'' +
                ", hotarea='" + hotarea + '\'' +
                ", coldarea='" + coldarea + '\'' +
                ", aeupgu='" + aeupgu + '\'' +
                ", upscore='" + upscore + '\'' +
                ", downscore='" + downscore + '\'' +
                ", delFlag=" + delFlag +
                ", createrCode='" + createrCode + '\'' +
                ", createdate=" + createdate +
                ", updaterCode='" + updaterCode + '\'' +
                ", updatedate=" + updatedate +
                ", deptId=" + deptId +
                ", onboard='" + onboard + '\'' +
                ", tds='" + tds + '\'' +
                ", postCard='" + postCard + '\'' +
                ", craft='" + craft + '\'' +
                ", company='" + company + '\'' +
                ", device='" + device + '\'' +
                ", deptName='" + deptName + '\'' +
                ", remarks='" + remarks + '\'' +
                ", sortDate='" + sortDate + '\'' +
                ", sortOrder='" + sortOrder + '\'' +
                '}';
    }
}
